#version 330

layout (location = 0) in vec3 Position;
layout (location = 2) in vec2 TexCoord;

out vec2 TexCoord0;

uniform mat4 ModelMatrix;

void main()
{
	gl_Position = ModelMatrix * vec4(Position.xy, 0.0, 1.0);
	TexCoord0 = TexCoord;
}
