#version 330

layout (location = 0) in vec3 Position;
layout (location = 2) in vec2 TexCoord;

out vec2 TexCoord0;

uniform mat4 MvpMatrix;

void main()
{
	gl_Position = MvpMatrix * vec4(Position, 1.0);
	TexCoord0 = TexCoord;
}
